/*------------------------------ CHECKBOX & RADIO BUTTON --------------------------------*/
.custom-checkbox-link,
.custom-radio-button-link {
  display: inline-block;
}

/*------------------------------ PLZ FIX IT! --------------------------------*/

/* .custom-checkbox-link *,
.custom-radio-button-link * {
  pointer-events: none;
} */

/*------------------------------ /PLZ FIX IT! --------------------------------*/

.custom-checkbox-link:hover,
.custom-radio-button-link:hover {
  cursor: pointer;
  text-decoration: none;
}

.custom-checkbox,
.custom-radio-button {
  font-size: 13px;
  font-weight: 400 !important;
  margin: 0;

  -webkit-box-pack: start;
  -moz-box-pack: start;
  -webkit-justify-content: flex-start;
  -webkit-box-align: center;
  -moz-box-align: center;
  -webkit-align-items: center;
  -ms-flex-align: center;
  align-items: center;

  -webkit-transition: all 0.22s ease-out;
  -moz-transition: all 0.22s ease-out;
  -o-transition: all 0.22s ease-out;
  transition: all 0.22s ease-out;
}

.custom-checkbox:hover,
.custom-radio-button:hover {
  cursor: pointer;
  text-decoration: none;
}

.custom-checkbox input.checkbox {
  display: none;
}

.checkbox-label,
.radio-button-label {
  color: #333333;

  -webkit-touch-callout: none;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

.custom-checkbox:not(.checkbox-disabled):hover .checkbox-label,
.custom-radio-button:hover .radio-button-label {
  color: #00a9e9;
}

.custom-checkbox.checkbox-disabled {
  cursor: default;
}

.custom-checkbox.checkbox-disabled .checkbox-control {
  background-color: #f5f5f5 !important;
  border-color: #f5f5f5 !important;
}

.checkbox-label-num,
.radio-button-label-num {
  font-size: 11px;
  color: #aaaaaa;
}

.checkbox-control {
  position: relative;
  width: 17px;
  height: 17px;
  border: 1px solid #e5e5e5;
  border-radius: 4px;
  margin-right: 7px;
  flex: none;

  -webkit-transition: all 0.22s ease-out;
  -moz-transition: all 0.22s ease-out;
  -o-transition: all 0.22s ease-out;
  transition: all 0.22s ease-out;
}

.radio-button-control {
  position: relative;
  width: 17px;
  height: 17px;
  border: 1px solid #e5e5e5;
  border-radius: 4px;
  margin-right: 5px;
  flex: none;

  -webkit-transition: all 0.22s ease-out;
  -moz-transition: all 0.22s ease-out;
  -o-transition: all 0.22s ease-out;
  transition: all 0.22s ease-out;
}

.checkbox:hover .checkbox-control,
.radio-button:hover .radio-button-control {
  background-color: #f5f5f5;
}

.checkbox:checked + .checkbox-control,
.checkbox:checked:hover + .checkbox-control,
.active-radio-button .radio-button-control,
.active-radio-button:hover .radio-button-control {
  background-color: #00a9e9 !important;
  border-color: #00a9e9 !important;
}

.active-radio-button .radio-button-control,
.active-radio-button:hover .radio-button-control {
  background-color: #ffffff;
}

.checkbox:checked + .checkbox-control::after {
  content: "";
  border-bottom: 2px solid #ffffff;
  border-right: 2px solid #ffffff;
  display: block;
  position: absolute;
  left: 5px;
  bottom: 4px;
  height: 9px;
  width: 5px;
  -webkit-transform: rotate(45deg);
  -moz-transform: rotate(45deg);
  -o-transform: rotate(45deg);
  -ms-transform: rotate(45deg);
  transform: rotate(45deg);
}

.active-radio-button .radio-button-control::after {
  content: "";
  display: block;
  position: absolute;
  left: 3px;
  bottom: 3px;
  height: 9px;
  width: 9px;
  background-color: #00a9e9;
  border-radius: 50%;
}

.custom-checkbox-link.disabled-control {
  cursor: default;
}

.custom-checkbox-link.disabled-control .checkbox-label,
.custom-checkbox-link.disabled-control .checkbox-label:hover {
  color: #999999;
}

.custom-checkbox-link.disabled-control .checkbox-label-num {
  display: none;
}

.custom-checkbox-link.disabled-control .checkbox-control,
.custom-checkbox-link.disabled-control .checkbox-control:hover {
  background-color: #f5f5f5;
  border-color: #f5f5f5;
}
